function d = randomiseDisplacements( m )
    amplitude = m.globalDynamicProps.thicknessAbsolute * m.globalProps.perturbInitGrowthEstimate;
    if amplitude ~= 0
        if m.globalProps.resetRand
            rand('twister',5489);
        end
        d = amplitude * rand( numel(m.prismnodes), 1 );
    end
end
